org.eclipse.emf.cdo.common.util

## Class CDOFetchRule

- java.lang.Object
- - org.eclipse.emf.cdo.common.util.CDOFetchRule

-     public final class CDOFetchRule
      extends Object

  Represents a subset of the `features` of a `class`.
  Since:
    3.0
  Author:
    Simon McDuff

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOFetchRule(CDODataInput in, CDOPackageRegistry packageManager)`
    `CDOFetchRule(EClass eClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFeature(EStructuralFeature feature)`
    `EClass` | `getEClass()`
    `List<EStructuralFeature>` | `getFeatures()`
    `boolean` | `isEmpty()`
    `void` | `removeFeature(EStructuralFeature feature)`
    `void` | `write(CDODataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOFetchRule

          public CDOFetchRule(EClass eClass)

    - #### CDOFetchRule

          public CDOFetchRule(CDODataInput in,
                              CDOPackageRegistry packageManager)
                       throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### write

          public void write(CDODataOutput out)
                     throws IOException

      Throws:
        `IOException`

    - #### getEClass

          public EClass getEClass()

    - #### getFeatures

          public List<EStructuralFeature> getFeatures()

    - #### addFeature

          public void addFeature(EStructuralFeature feature)

    - #### removeFeature

          public void removeFeature(EStructuralFeature feature)

    - #### isEmpty

          public boolean isEmpty()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html